
<app-header></app-header>
<mat-drawer-container class="example-container" autosize>
  <div class="example-sidenav-content">
    <app-titlemodule class="divtitle" [title] = title [route] = route></app-titlemodule>
    <div class="container-fluid float-left col-12 col-qpad divtop">
      <app-button [banctrl]="[false,true, true, true, false, false]" [opcion] = 1 [modulo]="modulo" ></app-button>
    </div>
    <app-ctrlsaldoscaja></app-ctrlsaldoscaja>
    <div class="container-fluid float-left div-table">
      <div class="d-none d-lg-block d-md-block">
        <table class="table table-fixed font-comp table-style">
          <thead>
          <tr>
            <th scope="col" class="col-50 col-l">

            </th>
            <th class="col-l col-100" scope="col">FECHA</th>
            <th class="col-l col-100" scope="col">INICADOR</th>
            <th class="col-l col-100" scope="col">MONTO</th>
            <th class="col-l namemd" scope="col">TIPO DE GASTO</th>
            <th class="col-l namemd" scope="col">DESCRIPCIÓN</th>
            <th class="namemd col-l" scope="col" >RESPONSABLE</th>
            <th class="col-l col-100" scope="col">COMENTARIO</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let regist of pageService.dataSource">

            <th scope="row" class="col-100 col-l">
              <a class="btn btn-sm btn-danger" matTooltip="Eliminar registro" (click)="eliminar_movcaja(regist)" ><i class="fa fa-times"></i></a>&nbsp;
              <a *ngIf="regist.indicador==1 && regist.idgruporecaudacion != null" class="btn btn-sm btn-dark" (click)="verdetalle(regist)" matTooltip="Ver detalle"><i class="fa fa-list-ul"></i></a>

            </th>
            <td class="col-c col-50">{{ regist.fecha | date:'dd-MM-yyyy'}}</td>
            <td class="col-l col-50">{{regist.indicador==1 ? 'INGRESO' : 'EGRESO' }}</td>
            <td class="col-r col-100 num-{{regist.monto*regist.indicador < 0 ? 'tot' : 'tot2'}}"><b>{{ regist.monto*regist.indicador | currency:segserv.moneda }}</b></td>
            <!-- <td *ngIf="regist.monto*regist.indicador >= 0" class="col-r col-100 num-tot2"><b>{{ regist.monto*regist.indicador | currency:segserv.moneda }}</b></td> -->

            <td class="col-l col-w">{{ regist.tipomovimiento }}</td>
            <td class="col-l col-w">{{ regist.detallemovimiento}}</td>
            <td class="col- namemd">{{ regist.nombreresponsable}}</td>
            <td class="col-c namemd">
              <a  *ngIf="regist.comentario" matTooltip="{{ regist.comentario }}"><i class="fa fa-comment fa-2x"></i></a>
            </td>
          </tr>
          <tr *ngIf="pageService.dataSource.length == 0" class="col-l cel-ie">
            <th colspan="8">No se ha registrado movimientos de caja.</th>
          </tr>
          </tbody>
          <tfoot>
            <tr >
              <td class="col-l col-un">
                <button class="btn btn-sm btn-info"  matTooltip="Registro de diezmos y ofrendas"  [routerLink] = "['/diezmosofrendas']"><mat-icon>monetization_on</mat-icon></button>
              </td>
              <td colspan="3" class="col-r num-tot"><b>{{ getTotal(0) | currency:segserv.moneda }}</b></td>
              <td  colspan="4" class="col-r">  {{ dataglobal.length | number }} registros</td>
            </tr>
          </tfoot>
        </table>
      </div>
      <div class="d-block d-lg-none d-md-none">
        <table class="font-comp table-style">
            <div class="col-12" style="padding-right: 0px;" *ngFor="let regist of pageService.dataSource">
                <div class="card bg-c-dark order-card">
                    <div class="card-block">
                        <h6 class="m-b-20">{{ regist.nombreresponsable == 'General' ? 'DÍA DE CULTO ' : regist.nombreresponsable}}<br>
                        {{regist.indicador==1 ? 'INGRESO' : 'EGRESO' }}</h6>
                        <h2><span class="col-r col-100 num-{{regist.monto*regist.indicador < 0 ? 'tot' : 'tot2'}}">{{ regist.monto*regist.indicador | currency:segserv.moneda }}</span>
                          <span class="f-right">
                          <a class="btn btn-xs btn-danger" matTooltip="Eliminar registro" (click)="eliminar_movcaja(regist)" ><i class="fa fa-times"></i></a>&nbsp;
                          <a *ngIf="regist.indicador==1 && regist.idgruporecaudacion != null" class="btn btn-xs btn-dark" (click)="verdetalle(regist)" matTooltip="Ver detalle"><i class="fa fa-list-ul"></i></a>

                          </span></h2>
                        <p class="m-b-0">Fecha<span class="f-right">{{ regist.fecha | date:'dd-MM-yyyy'}}</span></p>
                        <p class="m-b-0">Tipo Gasto<span class="f-right">{{ regist.tipomovimiento }}</span></p>
                        <p class="m-b-0">Descripción<span class="f-right">{{ regist.detallemovimiento}}</span></p>
                        <p class="m-b-0">Comentario<span class="f-right">{{ regist.comentario ? regist.comentario : '-' }}</span></p>
                    </div>
                </div>
            </div>
            <tbody>
              <tr>
                <th *ngIf="pageService.dataSource.length == 0" class="col-l" style="padding: 10px 0px;">
                  No se ha registrado movimientos de caja.
                </th>
              </tr>
            </tbody>
        </table>
      </div>

    </div>

    <div *ngIf="pageService.dataSource.length > 0" class="container-fluid d-flex justify-content-between p-2">

      <mat-paginator [length]="collectionSize" (page)="pageService.actualizaTabla2(dataglobal, $event);"
            [pageSize]="pageService.pageSize"
            [pageSizeOptions]="pageService.pageSizeOptions">
      </mat-paginator>

      <!-- <ngb-pagination class="font-comp" [collectionSize]="collectionSize" [(page)]="pageService.page" [pageSize]="pageService.pageSize" (pageChange)="pageService.actualizaTabla(dataglobal)">
      </ngb-pagination>

      <select class="custom-select font-comp" style="width: auto" [(ngModel)]="pageService.pageSize" (ngModelChange)="pageService.actualizaTabla(dataglobal)">
        <option [value]="5"> items por página</option>
        <option [value]="10">10 items por página</option>
        <option [value]="15">15 items por página</option>
        <option [value]="dataglobal.length > 15"> todos los items</option>
      </select> -->
    </div>
  </div>
  <mat-drawer #drawer class="example-sidenav" >
    <app-menu></app-menu>
  </mat-drawer>
  <!-- <app-registro></app-registro> -->
</mat-drawer-container>

